io.vertx.serviceproxy.generator.model

## Class ProxyMethodInfo

- java.lang.Object
- - io.vertx.codegen.MethodInfo
  - - io.vertx.serviceproxy.generator.model.ProxyMethodInfo

- All Implemented Interfaces:
    Comparable<io.vertx.codegen.MethodInfo>
  Direct Known Subclasses:
    WebApiProxyMethodInfo

      public class ProxyMethodInfo
      extends io.vertx.codegen.MethodInfo

  Author:
    Tim Fox

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyMethodInfo(Set<io.vertx.codegen.type.ClassTypeInfo> ownerTypes, String name, io.vertx.codegen.type.TypeInfo returnType, io.vertx.codegen.doc.Text returnDescription, boolean fluent, boolean cacheReturn, List<io.vertx.codegen.ParamInfo> params, String comment, io.vertx.codegen.doc.Doc doc, boolean staticMethod, boolean defaultMethod, List<io.vertx.codegen.TypeParamInfo.Method> typeParams, boolean proxyIgnore, boolean proxyClose, boolean deprecated, io.vertx.codegen.doc.Text deprecatedDesc, boolean useFutures, boolean methodOverride)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isProxyClose()`
    `boolean` | `isProxyIgnore()`

    - ### Methods inherited from class io.vertx.codegen.MethodInfo

      `collectImports, compareTo, copy, getCallbackType, getComment, getDeprecatedDesc, getDoc, getKind, getName, getName, getOwnerTypes, getParam, getParams, getReturnDescription, getReturnType, getSignature, getTypeParams, isCacheReturn, isContainingAnyJavaType, isDefaultMethod, isDeprecated, isFluent, isMethodOverride, isNullableReturn, isOwnedBy, isStaticMethod, isUseFutures, mergeTypeParams, resolveClassTypeParam, resolveTypeArg, setCacheReturn, setComment, setDefaultMethod, setDeprecated, setDeprecatedDesc, setDoc, setFluent, setName, setOwnerTypes, setParams, setReturnDescription, setReturnType, setStaticMethod, setTypeParams, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyMethodInfo

          public ProxyMethodInfo(Set<io.vertx.codegen.type.ClassTypeInfo> ownerTypes,
                                 String name,
                                 io.vertx.codegen.type.TypeInfo returnType,
                                 io.vertx.codegen.doc.Text returnDescription,
                                 boolean fluent,
                                 boolean cacheReturn,
                                 List<io.vertx.codegen.ParamInfo> params,
                                 String comment,
                                 io.vertx.codegen.doc.Doc doc,
                                 boolean staticMethod,
                                 boolean defaultMethod,
                                 List<io.vertx.codegen.TypeParamInfo.Method> typeParams,
                                 boolean proxyIgnore,
                                 boolean proxyClose,
                                 boolean deprecated,
                                 io.vertx.codegen.doc.Text deprecatedDesc,
                                 boolean useFutures,
                                 boolean methodOverride)

  - ### Method Detail

    - #### isProxyIgnore

          public boolean isProxyIgnore()

    - #### isProxyClose

          public boolean isProxyClose()

Copyright © 2021 Eclipse. All rights reserved.